package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.Corp;
import com.tzld.piaoquan.growth.common.model.po.CorpExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface CorpMapper {
    long countByExample(CorpExample example);

    int deleteByExample(CorpExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Corp record);

    int insertSelective(Corp record);

    List<Corp> selectByExample(CorpExample example);

    Corp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Corp record, @Param("example") CorpExample example);

    int updateByExample(@Param("record") Corp record, @Param("example") CorpExample example);

    int updateByPrimaryKeySelective(Corp record);

    int updateByPrimaryKey(Corp record);
}